MEM(3)

NAME
mem - fixed string routines

SYNOPSIS
    #include <ast.h>
    void    mematoe(void* out, const void* in, size_t n);
    void*   memdup(const void* buf, size_t n)
    void    memetoa(void* out, const void* in, size_t n);

DESCRIPTION
converts n ASCII characters in in to EBCDIC characters in out. in and out may be the same.

copies the n byte buffer buf to a new location provided by malloc(3) and returns a pointer to the new copy. 0 is returned if malloc(3) fails.

converts n EBCDIC characters in in to ASCII characters in out. in and out may be the same.

SEE ALSO
Proposed Bell Laboratories ASCII/EBCDIC standard, April 16, 1979.
str(3), vmalloc(3)